$light:                           #fff !default;
$stable:                          #f8f8f8 !default;
$positive:                        #387ef5 !default;
$calm:                            #11c1f3 !default;
$balanced:                        #33cd5f !default;
$energized:                       #ffc900 !default;
$assertive:                       #ee3124 !default;
$royal:                           #886aea !default;
$dark:                            #444 !default;

// The path for our ionicons font files, relative to the built CSS in www/css
$ionicons-font-path: "../lib/ionic/fonts" !default;

// Include all of Ionic
@import "www/lib/ionic/scss/ionic";

.item .span.item-note {
	color: $dark;
	font-size: 1em;
}

.item-divider {
	background-color: $stable;
	color: $dark;
	padding: 8px;

	a.subdued,
	span.item-note {
		color: $dark;
		font-size: 1em;
	}
}

//	Small list item
.detail {
	padding: 8px;

	h2 {
		font-size: 0.8em;
	}

	h2.normal {
		font-size: 1em;
		color: $dark;
	}

	a.item-complex,
	a.item-content {
		padding: 0px;
	}

	a.subdued,
	span.item-note {
		color: $dark;
		font-size: 1em;
	}
}

// Align numbers to the right (1-12)
.sensorright {
	width: 20px;
	display: inline-block;
	text-align: right;
}

.card,
.list-inset {
	margin: 10px;
}

input.input-picker {
	width: 100%;
	padding: 23px 5px;
	line-height: 25px;
	border: 1px solid #ddd;
	text-align: center;
	font-size: 30px;
}

.rec-col {
	display: inline-block;
	width: 50px;
}

.rec-col-graph {
	display: inline-block;
	width: 80px;
}

div.graph {
	height: 120px;
	border: 1px solid #e0e0e0;
	border-left-color: $dark;
	border-bottom-color: $dark;
	margin-bottom: 5px;
}

span.input-label {
	min-width: 80px;
}

span.input-label-wide {
	min-width: 110px;
}

.popup-body span {
	font-size: 1.3em;
}

.cure-fail,
.cure-fail a.item-content {
	background-color: $energized;
}

.cure-pass,
.cure-pass a.item-content {
	background-color: $balanced;
}

.row {
	margin: 0px;
	padding: 0px;
}

timepicker .button {
	padding: 0px;
	font-size: 10px;
}

.wave .loader {
  width: 50px;
  height: 50px;
}

.wave .loader > div {
  float: left;
  margin: 25% 10% 0 0;
  width: 4%;
  height: 16%;
  background-color: #FFF;
  -webkit-animation: wave 1s cubic-bezier(0.2, 0.68, 0.18, 1.08) infinite;
          animation: wave 1s cubic-bezier(0.2, 0.68, 0.18, 1.08) infinite;
}
.wave .loader .line-1 {
  margin-left: 30%;
}
.wave .loader .line-1 {
  -webkit-animation-delay: 0.1s;
          animation-delay: 0.1s;
}
.wave .loader .line-2 {
  -webkit-animation-delay: 0.2s;
          animation-delay: 0.2s;
}
.wave .loader .line-3 {
  -webkit-animation-delay: 0.3s;
          animation-delay: 0.3s;
}
.wave .loader .line-4 {
  -webkit-animation-delay: 0.4s;
          animation-delay: 0.4s;
}
.wave .loader .line-5 {
  -webkit-animation-delay: 0.5s;
          animation-delay: 0.5s;
}

@-webkit-keyframes wave {
  0%,100% {
    -webkit-transform: scaleY(1);
            transform: scaleY(1);
  }
  50% {
    -webkit-transform: scaleY(2);
            transform: scaleY(2);
  }
}

@keyframes wave {
  0%,100% {
    -webkit-transform: scaleY(1);
            transform: scaleY(1);
  }
  50% {
    -webkit-transform: scaleY(2);
            transform: scaleY(2);
  }
}
.wave-spread .loader {
  width: 100px;
  height: 100px;
}
.wave-spread .loader > div {
  float: left;
  margin: 40% 2% 0 0;
  width: 4%;
  height: 16%;
  background-color: #FFF;
  -webkit-animation: wave 1s cubic-bezier(0.85, 0.25, 0.37, 0.85) infinite;
          animation: wave 1s cubic-bezier(0.85, 0.25, 0.37, 0.85) infinite;
}
.wave-spread .loader .line-1 {
  margin-left: 30%;
}
.wave-spread .loader .line-1, .wave-spread .loader .line-5 {
  -webkit-animation-delay: .4s;
          animation-delay: .4s;
}
.wave-spread .loader .line-2, .wave-spread .loader .line-4 {
  -webkit-animation-delay: .2s;
          animation-delay: .2s;
}

/*
 *	Aanpassingen aan de ionic-datepicker plugin
 */
.ionic_datepicker_popup .popup-body {
	background-color: rgba(255, 255, 255, 0.3);
}

.ionic_datepicker_popup .selected_date,
.ionic_datepicker_popup .popup-head,
.ionic_datepicker_popup .popup-body .selected_date_full,
.ionic_datepicker_popup .popup-buttons button,
.ionic_datepicker_modal .header, 
.ionic_datepicker_modal .footer {
	background-color: rgba(255, 255, 255, 0.1);
	color: $dark;
}

.ionic_datepicker_popup .selected_date,
.ionic_datepicker_modal .selected_date {
	background-color: $stable;
	color: $dark;
}

.ionic_datepicker_popup .popup-head .popup-title,
.ionic_datepicker_popup .popup-head .popup-sub-title,
.ionic_datepicker_popup .popup-buttons button,
.ionic_datepicker_modal .button-clear,
.ionic_datepicker_modal .header .title, .ionic_datepicker_modal .header .button, .ionic_datepicker_modal .footer .title, .ionic_datepicker_modal .footer .button {
	color: $dark;
}

.ionic_datepicker_popup .popup-buttons .button_set,
.ionic_datepicker_modal .button_set {
	background-color: $balanced;
	color: $light;
}

.ionic_datepicker_popup .popup-buttons .button_close,
.ionic_datepicker_modal .button_close {
	background-color: $light;
}

.ionic_datepicker_popup .popup-body .month_select, .ionic_datepicker_popup .popup-body .year_select,
.ionic_datepicker_modal .month_select, .ionic_datepicker_modal .year_select {
	border-color: $stable;
}

.ionic_datepicker_popup .today,
.ionic_datepicker_modal .today {
	background-color: $assertive;
	color: $light;
	border-color: $light;
}

.ionic_datepicker_popup .popup-body .month_select:after, .ionic_datepicker_popup .popup-body .year_select:after,
.ionic_datepicker_popup .popup-body .button-clear,
.ionic_datepicker_modal .button-clear,
.ionic_datepicker_modal .month_select:after, .ionic_datepicker_modal .year_select:after {
	color: $dark;
}

.ionic_datepicker_modal .popup-buttons {
	padding: 10px;
}

.ionic_datepicker_modal .date_col {
  height: 50px;
  line-height: 40px;
}

/*
 *	Aanpassingen aan de ionic-timepicker plugin
 */
.ionic_timepicker_popup .heading,
.ionic_timepicker_popup .button_set, .ionic_timepicker_popup .button_close {
	background-color: $stable;
	color: $dark;
}

.ionic_timepicker_popup .button_set {
	background-color: $balanced;
	color: $light;
}

.ionic_timepicker_popup .button_close {
	background-color: $light;
}

.ionic_timepicker_popup .popup-buttons {
	padding: 10px;
	height: 70px;
}
